import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { ExternalWalletSignerConfigForChain, Chain } from '@crossmint/wallets-sdk';
import { APIKeyEnvironmentPrefix } from '@crossmint/common-sdk-base';

type DynamicWalletProviderProps = {
    children: ReactNode;
    enabled?: boolean;
    apiKeyEnvironment: APIKeyEnvironmentPrefix;
    loginMethods?: string[];
    appearance?: {
        colors?: {
            textPrimary?: string;
            textSecondary?: string;
        };
    };
    onSdkLoaded?: (loaded: boolean) => void;
    onWalletConnected: (externalWalletSigner: ExternalWalletSignerConfigForChain<Chain>) => void;
};
declare function DynamicWalletProvider({ children, enabled, apiKeyEnvironment, loginMethods, appearance, onSdkLoaded, onWalletConnected, }: DynamicWalletProviderProps): react_jsx_runtime.JSX.Element;

export { DynamicWalletProvider };
